package com.xhkjedu.sexam.mapper.exam;

import com.xhkjedu.base.TkMapper;
import com.xhkjedu.sexam.model.exam.ESubjectInvigilate;
import com.xhkjedu.sexam.vo.exam.EITeacherVo;
import com.xhkjedu.sexam.vo.paper.EPTeacherVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface ESubjectInvigilateMapper extends TkMapper<ESubjectInvigilate> {
    //删除考试科目监考教师
    void delByEsId(@Param("esid") Integer esid);

    //监考设置列表
    List<Map> listSubject(@Param("examid") Integer examid);

    //考试监考人
    List<Map> listByEsId(@Param("esid") Integer esid);

    //教师监考-监控列表
    List<Map> listJkSubject(@Param("examid") Integer examid, @Param("teacherid") Integer teacherid,
                            @Param("esstate") Integer esstate,@Param("strtime") String strtime);

    //缺考学生列表
    List<Map> listMissStu(@Param("vo") EPTeacherVo vo);

    //监考教师
    List<EITeacherVo> listUserByEsIds(@Param("esids") String esids);

    //获取待监考数量
    Integer getJtJkSubjectNum(@Param("teacherid") Integer teacherid);
}